> For the complete documentation index, see [llms.txt](https://docs.bless.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bless.net/blessnet-api/sprinkles.md).

# /sprinkles

{% hint style="info" %}
You need an API key for this call. \
\
Your API key must have aidrops enabled. Please reach out to the Blessnet team for more details.
{% endhint %}

<mark style="color:green;">`POST`</mark> `/sprinkles`

The `/sprinkles` endpoint allows you to airdrop a small balance of BLESS to recipient addresses.

This endpoint provides permissioned access to the BLESS Sprinkler contract. This contract will distribute a small BLESS balance to the addresses provided, subject to a maximum amount by request origin and recipient address.

### **Headers**

| Name        | Value        |
| ----------- | ------------ |
| `x-api-key` | Your API key |

### Params

| Name    | Value                                                                                                                                                   |
| ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `chain` | <p>The chain. Possible values:<br><code>mainnet</code> Send to mainnet Blessnet (45513)<br><code>sepolia</code> Send to sepolia Blessnet (11145513)</p> |

### requestBody

* required: true
* content: application/json:&#x20;
* schema:&#x20;
  * `type: array`&#x20;
  * `items: type: string pattern: "^0x[a-fA-F0-9]{40}$"`&#x20;
* description: A list of valid EVM addresses in hexadecimal format (0x-prefixed, 40 hexadecimal characters).&#x20;

#### example:&#x20;

```json
{
  "receivers": [
    "0x66f13e0bd1Cc72FF147Fc3F5ab7baC036edEbae8",
    "0x69c368F76DEB816c9DA037ff562cFA76eA31820e",
    "0xb6e225e990794743ED4Cd19F1639b88d39358b30"
  ]
}
```

### **Response Body**

| Name                | Type     | Description                                 |
| ------------------- | -------- | ------------------------------------------- |
| `message`           | `string` | "Airdrop Requested"                         |
| `requestOwner`      | string   | The owner of the API key making the request |
| `key`               | `string` | The base64 API key                          |
| `for`               | `string` | The recipient of the airdrop                |
| `deestinationChain` | `string` | The target chain                            |
| `delvieryId`        | `string` | Unique ID                                   |

### **Example Request**

{% code overflow="wrap" %}

```
curl --location 'https://api.bless.net/sprinkles?chainId=11145513'
--header 'x-api-key: <key>'
--header 'Content-Type: application/json'
--data '{ "receivers": [ "0x66f13e0bd1Cc72FF147Fc3F5ab7baC036edEbae8", "0x69c368F76DEB816c9DA037ff562cFA76eA31820e", "0xb6e225e990794743ED4Cd19F1639b88d39358b30" ] } '
```

{% endcode %}

{% tabs %}
{% tab title="200" %}

```json
{
    "message": "sprinkles requested",
    "requestOwner": "airdrop",
    "key": "zy/hKhyIn2JC7ueDMRXQCP2lFgBQzs1U4Fhxn15s9nU=",
    "for": "0x66f13e0bd1Cc72FF147Fc3F5ab7baC036edEbae8",
    "destinationChain": 45513,
    "deliveryId": "45513/0xcf2fe12a1c889f6242eee7833115d008fda5160050cecd54e058719f5e6cf675/0x66f13e0bd1Cc72FF147Fc3F5ab7baC036edEbae8/1726807020",
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "chainId is required"
}

{
    "message": "receivers is required"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bless.net/blessnet-api/sprinkles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
